"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeBlockInfo = void 0;
const block_attributes_1 = require("block-attributes");
const normalizeLanguage = (language) => {
    if (typeof language === "string") {
        return language.trim().toLowerCase();
    }
    return "";
};
const normalizeBlockInfo = (blockInfo) => {
    const normalizedAttributes = (0, block_attributes_1.normalizeBlockAttributes)(blockInfo.attributes);
    const normalizedLanguage = normalizeLanguage(blockInfo.language);
    if (normalizedAttributes !== blockInfo.attributes ||
        normalizedLanguage !== blockInfo.language) {
        return {
            language: normalizedLanguage,
            attributes: normalizedAttributes,
        };
    }
    return blockInfo;
};
exports.normalizeBlockInfo = normalizeBlockInfo;
//# sourceMappingURL=normalizeBlockInfo.js.map