"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseBlockInfo = void 0;
const block_attributes_1 = require("block-attributes");
const parseBlockInfo = (raw = "") => {
    let language;
    let attributesAsString;
    let attributes;
    const trimmedParams = raw.trim();
    const match = trimmedParams.indexOf("{") !== -1
        ? trimmedParams.match(/^([^\s{]*)\s*\{(.*?)\}/)
        : trimmedParams.match(/^([^\s]+)\s+(.+?)$/);
    if (match) {
        if (match[1].length) {
            language = match[1];
        }
        attributesAsString = match[2];
    }
    else {
        language = trimmedParams;
        attributesAsString = "";
    }
    if (attributesAsString) {
        try {
            attributes = (0, block_attributes_1.parseBlockAttributes)(attributesAsString);
        }
        catch (e) {
            attributes = {};
        }
    }
    else {
        attributes = {};
    }
    return { language, attributes };
};
exports.parseBlockInfo = parseBlockInfo;
//# sourceMappingURL=parseBlockInfo.js.map